
package org.itscool.commons.dao;

// ----------------------------------------------------------------
// DB-MAP-TOOLが生成したクラスです
// ----------------------------------------------------------------
/**
 * 自動採番クラス
 * @author 加納
 * 作成日 2005/10/12
 */
public class AutoNumber {
    //テーブルマッピング情報の定義
    public static final String TABLE = "AUTO_NUMBER";
    //フィールドマッピング情報の定義
    public static final String PK_COLUM_tableName = "TABLE_NAME";
    public static final String COLUM_nextNumber = "NEXT_NUMBER";
    
    /**  */
    protected String tableName;
    /**  */
    protected int nextNumber;
    
    
    /**
     * を取得します
     * @return tableNameを返します
     */
    public String getTableName(){
        return tableName;
    }
    
    /**
     * を設定します
     * @return tableNameを設定します
     */
    public void setTableName( String tableName ){
        this.tableName = tableName;
    }
    
    /**
     * を取得します
     * @return nextNumberを返します
     */
    public int getNextNumber(){
        return nextNumber;
    }
    
    /**
     * を設定します
     * @return nextNumberを設定します
     */
    public void setNextNumber( int nextNumber ){
        this.nextNumber = nextNumber;
    }
    
    
    
}
